<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" autoReload="true">
	<targets>
		<target xsi:type="Console" name="mcp_logs" useStandardError="true"
			layout="${longdate} | ${level:uppercase=true:padding=-5} | ${logger:shortName=true} | ${message} ${exception:format=tostring}" />
		<target xsi:type="File" name="file" 
            fileName="${basedir}/logs/logfile-${shortdate}.log"
            layout="${longdate} | ${level:uppercase=true:padding=-5} | ${logger:shortName=true} | ${message} ${exception:format=tostring}"
            archiveEvery="Day" maxArchiveFiles="10" />
	</targets>
	<rules>
		<logger name="*" minlevel="Debug" writeTo="file,mcp_logs" />
	</rules>
</nlog>